CloningEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.CloningEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class CloningEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.measurement.shared.ResourceLogEvent
              org.hyperic.hq.events.CloningEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface

    public class CloningEvent

extends ResourceLogEvent

Class to track cloning events

See Also:
  Serialized Form

Constructor Summary
`CloningEvent(AppdefEntityID id)`

Method Summary
`void` | `addClonedResource(AppdefEntityID clonedId)`
`java.util.Collection` | `getClonedResources()`
`void` | `logMessage()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.measurement.shared.ResourceLogEvent
`getLevel, getLevelString, getLevelString, getMessage, getResource, getSource, getSubject, setMessage, setResource, setSource`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloningEvent

    public CloningEvent(AppdefEntityID id)

Method Detail

### addClonedResource

    public void addClonedResource(AppdefEntityID clonedId)

### getClonedResources

    public java.util.Collection getClonedResources()

### logMessage

    public void logMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceLogEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.